# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ApprovalDateTime Class Reference

Added from StepBasic Rev2 to Rev4
.

`#include <StepBasic_ApprovalDateTime.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_ApprovalDateTime ()
Standard_EXPORT void | Init (const StepBasic_DateTimeSelect &aDateTime, const Handle(StepBasic_Approval)&aDatedApproval)
Standard_EXPORT void | SetDateTime (const StepBasic_DateTimeSelect &aDateTime)
Standard_EXPORT StepBasic_DateTimeSelect | DateTime () const
Standard_EXPORT void | SetDatedApproval (const Handle(StepBasic_Approval)&aDatedApproval)
Standard_EXPORT Handle_StepBasic_Approval | DatedApproval () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_DateTimeSelect | theDateTime
Handle_StepBasic_Approval | theDatedApproval

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ApprovalDateTime::StepBasic_ApprovalDateTime | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Approval StepBasic_ApprovalDateTime::DatedApproval | ( |  | ) | const

Standard_EXPORT StepBasic_DateTimeSelect StepBasic_ApprovalDateTime::DateTime | ( |  | ) | const

Standard_EXPORT const StepBasic_ApprovalDateTime::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_ApprovalDateTime::Init | ( | const StepBasic_DateTimeSelect & | aDateTime,
|  | const Handle(StepBasic_Approval)& | aDatedApproval
| ) |

Standard_EXPORT void StepBasic_ApprovalDateTime::SetDatedApproval | ( | const Handle(StepBasic_Approval)& | aDatedApproval | ) |

Standard_EXPORT void StepBasic_ApprovalDateTime::SetDateTime | ( | const StepBasic_DateTimeSelect & | aDateTime | ) |

## Field Documentation

Handle_StepBasic_Approval StepBasic_ApprovalDateTime::theDatedApproval `[private]`

StepBasic_DateTimeSelect StepBasic_ApprovalDateTime::theDateTime `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ApprovalDateTime.hxx